import { Component, OnInit } from '@angular/core';
import { BackendService, Task } from '../services/backend.service';

@Component({
  selector: 'app-task-list',
  templateUrl: './task-list.component.html',
  styleUrls: ['./task-list.component.css']
})
export class TaskListComponent implements OnInit {

  public tasks: Task[] = [];

  constructor(private backendService: BackendService) { 
      backendService.getTasks().subscribe(response => {
          if (response.status > 399) {
              alert('Fehler');
          }
          else {
              this.tasks.push(...response.body);
          }
      });
  }

  ngOnInit(): void {
  }

  public deleteTask(task: Task) {
    this.backendService.deleteTask(task).subscribe(response => {
      if (response.status > 399) {
        alert('Fehler');
      }
    });
    const index = this.tasks.indexOf(task);
    if (index !== -1) {
      this.tasks.splice(index, 1);
    }    
  }

}
